Subject: Re: bug#25969: guix-patches debbugs appears to mangle patches

From: ng0 <[email-masked]>
Date: Sun, 5 Mar 2017 12:37:29 +0000

On 17-03-04 17:54:56, Leo Famulari wrote:
> Git has a simple workflow for using email, with `git send-email` and
> `git am`.
> 
> The guix-patches debbugs thing causes a regression in this workflow by
> rewriting the commit messages to include the debbugs ticket number.
> 
> So, a commit that begins with this:
> 
> gnu: gitolite: Fix shebangs in hooks.
> 
> ... becomes this:
> 
> bug#25966: [PATCH 2/2] gnu: gitolite: Fix shebangs in hooks.
> 
> Am I missing something, or is debbugs really rewriting the patches?
> 
> 
> 

885227386855e446e653d958c38b6bbcfc2a24ca and the patch afterwards was
sent with git send-email (after I was assigned an issue-id) and if Kei
didn't fix it, they were not altered in subject etc.